İçeriğe geç

Kling Video v2.6 Text to Video

Entegre et

Model kimliği kling-video/v2.6/pro/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v2.6/pro/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,70 700 API kredisi Bu sayfada çalıştır

API anahtarı al
Kling Metinden Videoya Yerel ses5–10 s

Yerel ses çıkışı, 5 veya 10 s klipler ve CFG ile en-boy oranı denetimi sunan v2.6 metinden videoya

Kling · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 88 / 2500
duration 5 s

Saniye cinsinden ölçülen çıktı video uzunluğu.

aspect_ratio varsayılan 16:9

Çıktı videodaki karelerin genişlik-yükseklik oranı.

Gelişmiş negative_prompt · cfg_scale · enable_safety_checker
0 / 2500
varsayılan 0.5

Classifier Free Guidance kısaltması olan CFG'yi kullanarak üretimin isteminizi ne ölçüde izleyeceğini ayarlayın.

POST /run/kling-video/v2.6/pro/text-to-video?wait=20 fiyat → $0,70
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v2.6/pro/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Kling Video v2.6 Text to Video hakkında

2500 karaktere kadar metin isteminden video oluşturur. `duration` 5 veya 10 saniyedir ve `aspect_ratio` 16:9, 9:16 veya 1:1 olabilir. `cfg_scale` 0 ile 1 arasındadır, `negative_prompt` desteklenir ve `generate_audio`, Çince ve İngilizce konuşma içeren yerel ses ekler.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Güvenlik kontrolleri yalnızca hesap yetkilendirmesiyle devre dışı bırakılabilir; yetkilendirme içermeyen istekler her zaman kontrolden geçirilir.
promptgerekli
Türstring
≤ 2.500 karakter
durationisteğe bağlı
Türenum
Varsayılan5
510
Saniye cinsinden ölçülen çıktı video uzunluğu.
aspect_ratioisteğe bağlı
Türenum
Varsayılan16:9
16:99:161:1
Çıktı videodaki karelerin genişlik-yükseklik oranı.
negative_promptisteğe bağlı
Türstring
Varsayılanblur, distort, and low quality
≤ 2.500 karakter
cfg_scaleisteğe bağlı
Türnumber
Varsayılan0.5
0 – 1
Classifier Free Guidance kısaltması olan CFG'yi kullanarak üretimin isteminizi ne ölçüde izleyeceğini ayarlayın.
generate_audioisteğe bağlı
Türboolean
Varsayılantrue
Çince veya İngilizce sesleri destekleyen ve diğer dilleri otomatik olarak İngilizceye çeviren yerel video sesi üretimi anahtarı. İngilizce konuşma için kısaltmaları ve özel adları BÜYÜK HARFLE, diğer her şeyi küçük harfle yazın.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/v2.6/pro/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 700,
    "usd": "0.70",
    "charged": 700,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size}Model tarafından üretilen video.

Daha fazla model: Metinden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/kling-video/v2.6/pro/text-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt